namespace Dakota.Data
{
    public class Zone
    {
        public int Height;
        public bool IsCurvedX;

        public bool IsCurvedY;
        // a rectangular region in space

        public int UniversalX;
        public int UniversalY;
        public int Width;

        public Zone()
        {
            UniversalX = 0;
            UniversalY = 0;
            Width = 3000;
            Height = 3000;
            IsCurvedX = false;
            IsCurvedY = false;
        }
    }

    public static class ZoneData
    {
        private static Zone[,] _zones = new Zone[26, 26];

        public static Zone GetZone(int x, int y)
        {
            if (_zones[x, y] is null)
            {
                var zone = new Zone
                {
                    UniversalX = x,
                    UniversalY = y,
                    Width = 3000,
                    Height = 3000
                };

                // Act 1, Scene 1
                if (x == 16 && y == 13)
                {
                    zone.Width = 1000;
                    zone.Height = 1000;
                }

                if (x == 3 && y == 3) zone.IsCurvedX = true;

                if (x == 3 && y > 8 && y < 16) zone.IsCurvedY = true;
                _zones[x, y] = zone;
            }

            return _zones[x, y];
        }
    }
}