using Microsoft.Xna.Framework;
using Nez;

namespace Dakota.Renderables
{
    public class TimedVectorText : VectorText, IUpdatable
    {
        private float _durationRemaining;

        public TimedVectorText(int size, Color color) : base("", size, color)
        {
        }

        public void Update()
        {
            if (Text.Length > 0)
            {
                _durationRemaining -= Time.DeltaTime;
                if (_durationRemaining < 0) Text = "";
            }
        }

        public void SetText(string text, float duration)
        {
            Text = text;
            _durationRemaining = duration;
        }
    }
}