using Microsoft.Xna.Framework;
using Nez;

namespace Dakota
{
    public class ScreenSpin : Component, IUpdatable
    {
        private readonly Vector2 _around;
        private float _speed;

        public ScreenSpin(Vector2 around, float speed)
        {
            _speed = speed;
            _around = around;
        }

        public void Update()
        {
            Entity.Scene.Camera.Rotation += _speed * Time.DeltaTime;
            if (Entity.Scene.Camera.Rotation > 5) Entity.RemoveComponent(this);
        }

        public override void OnAddedToEntity()
        {
            Entity.Scene.Camera.Position = _around;
        }
    }
}