using Microsoft.Xna.Framework;
using Nez;
using Random = Nez.Random;

namespace Dakota.Space
{
    public class Star
    {
        public Vector2 Position;
        public Color StarColor;
        
        public Star()
        {
            Position = new Vector2(Random.NextFloat() * 2, Random.NextFloat() * 2);
            var intensity = Random.NextFloat(0.5f) + 0.7f;
            StarColor = new Color(intensity, intensity, intensity);
        }
    }
    
    public class StarField : RenderableComponent
    {
        private readonly Star[] _stars;
        public override float Width => 1000;
        public override float Height => 720;
        
        public StarField()
        {
            _stars = new Star[500];
            for (int i = 0; i < _stars.Length; i++)
                _stars[i] = new Star();
        }

        public override void Render(Batcher batcher, Camera camera)
        {
            var pos = ((SpaceScene) (Entity.Scene)).Player.Position;
            // TODO: scale by zone size
            pos /= 3000;
            // TODO: consider more parallax
            
            foreach (var star in _stars)
            {
                batcher.DrawPixel((star.Position.X - pos.X) * Width, (star.Position.Y - pos.Y) * Height, star.StarColor);
            }
        }
    }
}