using Microsoft.Xna.Framework;
using Nez;

namespace Inky.Skeletron
{
    public class Line : Shape
    {
        public override int HalfHeight => IsVertical ? Length / 2 : 1;
        public override int HalfWidth => IsVertical ? 1 : Length / 2;
        
        public int Length;
        public bool IsVertical;

        public Line(int length, bool isVertical)
        {
            Length = length;
            IsVertical = true;
        }

        public override void Draw(Batcher batcher, float x, float y, Color color)
        {
            if(IsVertical)
                batcher.DrawLine(x, y-Length/2f, x, y+Length/2f, color);
            else
                batcher.DrawLine(x-Length/2f, y, x+Length/2f, y, color);
            DrawChildren(batcher, x, y, Color.Black);
        }
    }
}