using Microsoft.Xna.Framework;
using Nez;

namespace Lighthouse
{
    public class DebugOverlay : RenderableComponent
    {
        public override float Width => 100;
        public override float Height => 100;

        public override void Render(Batcher batcher, Camera camera)
        {
            var world = (Entity.Scene as MainScene)?.World;
            var color = Color.Lime;
            batcher.DrawString(Graphics.Instance.BitmapFont, $"Position: {world.Player.X}, {world.Player.Y}",
                new Vector2(500, 0), color);
            batcher.DrawString(Graphics.Instance.BitmapFont, $"Day: {(Entity.Scene as MainScene).CurrentDay.DayOfYear}", new Vector2(500, 10), color);
            batcher.DrawString(Graphics.Instance.BitmapFont, $"Hour: {world.DayTime:.0}", new Vector2(500, 20), color);
        }
    }
}