using System;
using System.Collections.Generic;

namespace Lighthouse.Data
{
    public class Event
    {
        public double Time;
        public string Thought;
        public bool Fired;

        public Event(double time, string thought)
        {
            Time = time;
            Thought = thought;
            Fired = false;
        }
    }
    
    public class Day
    {
        public int Number { get; }
        public List<Event> TimedDialog;

        public Day(int n)
        {
            Number = n;
            TimedDialog = new List<Event>();
        }

        public DateTime StartDay = new DateTime(2022, 3, 1);
        public DateTime DayOfYear => StartDay + TimeSpan.FromDays((double)Number);
    }
    
    public static class Days
    {
        public static Dictionary<int, Day> AllDays;

        static Days()
        {
            AllDays = new Dictionary<int, Day>();

            AllDays[0] = new Day(0);
            AllDays[0].TimedDialog.Add(new Event(4, "What did I get myself into?"));
            AllDays[0].TimedDialog.Add(new Event(8, "My only job is to keep the lighthouse working."));
            AllDays[0].TimedDialog.Add(new Event(9, "One full year."));
        }
    }
}