using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Input;
using Nez;

namespace Lighthouse
{
    public class MenuScene : Scene
    {
        private Menu _menu;
        
        public MenuScene()
        {
            SetDesignResolution(640, 360, SceneResolutionPolicy.ShowAllPixelPerfect);
            Screen.SetSize(640*2, 360*2);
            var menu = CreateEntity("menu");
            _menu = new Menu(new[] {"New Game", "Options", "Credits", "Quit"});
            menu.AddComponent(_menu);
        }

        public override void Update()
        {
            base.Update();
            if (Input.IsKeyPressed(Keys.Down))
            {
                _menu.Selection += 1;
            }
            else if(Input.IsKeyPressed(Keys.Up))
            {
                _menu.Selection -= 1;
            } 
            else if (Input.IsKeyPressed(Keys.Space))
            {
                _menu.OnSelection();
            }
        }
    }
}